net.sf.jasperreports.crosstabs.design

## Class JRDesignCrosstabColumnGroup

- java.lang.Object
- - net.sf.jasperreports.crosstabs.base.JRBaseCrosstabGroup
  - - net.sf.jasperreports.crosstabs.design.JRDesignCrosstabGroup
    - - net.sf.jasperreports.crosstabs.design.JRDesignCrosstabColumnGroup

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, CrosstabBaseCloneable, JRCrosstabColumnGroup, JRCrosstabGroup, JRChangeEventsSupport, JRCloneable

      public class JRDesignCrosstabColumnGroup
      extends JRDesignCrosstabGroup
      implements JRCrosstabColumnGroup

  Crosstab column group implementation to be used for report designing.
  Version:
    $Id: JRDesignCrosstabColumnGroup.java 5960 2013-03-07 14:54:18Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRCellContents` | `crosstabHeader`
    `protected int` | `height`
    `protected CrosstabColumnPositionEnum` | `positionValue`
    `static java.lang.String` | `PROPERTY_CROSSTAB_HEADER`
    `static java.lang.String` | `PROPERTY_HEIGHT`
    `static java.lang.String` | `PROPERTY_POSITION`

    - ### Fields inherited from class net.sf.jasperreports.crosstabs.design.JRDesignCrosstabGroup

      `designVariable, parent, PROPERTY_BUCKET, PROPERTY_HEADER, PROPERTY_NAME, PROPERTY_TOTAL_HEADER, PROPERTY_TOTAL_POSITION`

    - ### Fields inherited from class net.sf.jasperreports.crosstabs.base.JRBaseCrosstabGroup

      `bucket, header, name, totalHeader, totalPositionValue, variable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignCrosstabColumnGroup()` Creates a column group.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRCellContents` | `getCrosstabHeader()` Returns the crosstab header cell of the column group.
    `int` | `getHeight()` Returns the height of the group headers.
    `CrosstabColumnPositionEnum` | `getPositionValue()` Returns the position of the header contents for header stretching.
    `void` | `setCrosstabHeader(JRDesignCellContents crosstabHeader)`
    `protected void` | `setCrosstabHeaderOrigin()`
    `void` | `setHeader(JRDesignCellContents header)` Sets the group header cell.
    `void` | `setHeight(int height)` Sets the header cell height.
    `void` | `setPosition(CrosstabColumnPositionEnum positionValue)` Sets the header contents stretch position.
    `void` | `setTotalHeader(JRDesignCellContents totalHeader)` Sets the group total header cell.

    - ### Methods inherited from class net.sf.jasperreports.crosstabs.design.JRDesignCrosstabGroup

      `clone, getEventSupport, getParent, setBucket, setCellOrigin, setName, setTotalPosition`

    - ### Methods inherited from class net.sf.jasperreports.crosstabs.base.JRBaseCrosstabGroup

      `clone, getBucket, getHeader, getName, getTotalHeader, getTotalPositionValue, getVariable, hasTotal`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.crosstabs.JRCrosstabGroup

      `getBucket, getHeader, getName, getTotalHeader, getTotalPositionValue, getVariable, hasTotal`

- - ### Field Detail

    - #### PROPERTY_HEIGHT

          public static final java.lang.String PROPERTY_HEIGHT

      See Also:
        Constant Field Values

    - #### PROPERTY_POSITION

          public static final java.lang.String PROPERTY_POSITION

      See Also:
        Constant Field Values

    - #### PROPERTY_CROSSTAB_HEADER

          public static final java.lang.String PROPERTY_CROSSTAB_HEADER

      See Also:
        Constant Field Values

    - #### height

          protected int height

    - #### positionValue

          protected CrosstabColumnPositionEnum positionValue

    - #### crosstabHeader

          protected JRCellContents crosstabHeader

  - ### Constructor Detail

    - #### JRDesignCrosstabColumnGroup

          public JRDesignCrosstabColumnGroup()

      Creates a column group.

  - ### Method Detail

    - #### getPositionValue

          public CrosstabColumnPositionEnum getPositionValue()

      Description copied from interface: `JRCrosstabColumnGroup`
      Returns the position of the header contents for header stretching.

      The column group headers stretch horizontally when there are multiple sub group entries. The header contents will be adjusted to the new width depending on this attribute:

      - `CrosstabColumnPositionEnum.LEFT` - the contents will be rendered on the left side of the header
      - `CrosstabColumnPositionEnum.CENTER` - the contents will be rendered on the center of the header
      - `CrosstabColumnPositionEnum.RIGHT` - the contents will be rendered on the right side of the header
      - `CrosstabColumnPositionEnum.STRETCH` - the contents will be proportionally stretched to the new header size
      Specified by:
        `getPositionValue` in interface `JRCrosstabColumnGroup`
      Returns:
        the position of the header contents for header stretching

    - #### setPosition

          public void setPosition(CrosstabColumnPositionEnum positionValue)

      Sets the header contents stretch position.
      Parameters:
        `positionValue` - the header contents stretch position
      See Also:
        `JRCrosstabColumnGroup.getPositionValue()`

    - #### getHeight

          public int getHeight()

      Description copied from interface: `JRCrosstabColumnGroup`
      Returns the height of the group headers.
      Specified by:
        `getHeight` in interface `JRCrosstabColumnGroup`
      Returns:
        the height of the group headers
      See Also:
        `JRCrosstabGroup.getHeader()`, `JRCrosstabGroup.getTotalHeader()`

    - #### setHeight

          public void setHeight(int height)

      Sets the header cell height.
      Parameters:
        `height` - the height
      See Also:
        `JRCrosstabColumnGroup.getHeight()`

    - #### setHeader

          public void setHeader(JRDesignCellContents header)

      Description copied from class: `JRDesignCrosstabGroup`
      Sets the group header cell.
      Overrides:
        `setHeader` in class `JRDesignCrosstabGroup`
      Parameters:
        `header` - the header cell
      See Also:
        `JRCrosstabGroup.getHeader()`

    - #### setTotalHeader

          public void setTotalHeader(JRDesignCellContents totalHeader)

      Description copied from class: `JRDesignCrosstabGroup`
      Sets the group total header cell.
      Overrides:
        `setTotalHeader` in class `JRDesignCrosstabGroup`
      Parameters:
        `totalHeader` - the total header
      See Also:
        `JRCrosstabGroup.getTotalHeader()`

    - #### getCrosstabHeader

          public JRCellContents getCrosstabHeader()

      Description copied from interface: `JRCrosstabColumnGroup`
      Returns the crosstab header cell of the column group.

      The cell will be rendered at the left of the corresponding row of column headers, potentially overlapping `the crosstab header cell`.

      The width of the cell is the total width of row group headers, and the height is the height of the corresponding column header.

      Specified by:
        `getCrosstabHeader` in interface `JRCrosstabColumnGroup`
      Returns:
        the crosstab header cell of the column group, or `null` if no header cell is present
      See Also:
        `JRCrosstab.getHeaderCell()`, `JRCrosstabColumnGroup.getHeight()`

    - #### setCrosstabHeader

          public void setCrosstabHeader(JRDesignCellContents crosstabHeader)

    - #### setCrosstabHeaderOrigin

          protected void setCrosstabHeaderOrigin()

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRDesignCrosstabGroup`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com